package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import gl_engine.vec.Vec3d;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public abstract class ItemSpawn extends Item
{
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos) {
		this.spawnEntity(layer, player.getPos(), player.getVelocity());
		stack.count -= 1;
		return true;
	}
	
	public void spawnEntity(Layer layer, Vec3d pos, Vec3d velocity) {
		
	}
}
